Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ext.cpfg
Interface SurfaceTokenTypes

All Known Implementing Classes:
  SurfaceParser

    public interface SurfaceTokenTypes

Field Summary
`static int` | `BOOLEAN_LITERAL`
`static int` | `CHAR_LITERAL`
`static int` | `COLON`
`static int` | `DOUBLE_LITERAL`
`static int` | `EOF`
`static int` | `FLOAT_LITERAL`
`static int` | `IDENT`
`static int` | `INT_LITERAL`
`static int` | `LITERAL_A`
`static int` | `LITERAL_AL`
`static int` | `LITERAL_AR`
`static int` | `LITERAL_B`
`static int` | `LITERAL_BL`
`static int` | `LITERAL_BOTTOM`
`static int` | `LITERAL_BR`
`static int` | `LITERAL_COLOR`
`static int` | `LITERAL_CONTACT`
`static int` | `LITERAL_DIFFUSE`
`static int` | `LITERAL_END`
`static int` | `LITERAL_HEADING`
`static int` | `LITERAL_L`
`static int` | `LITERAL_POINT`
`static int` | `LITERAL_PRECISION`
`static int` | `LITERAL_R`
`static int` | `LITERAL_S`
`static int` | `LITERAL_SIZE`
`static int` | `LITERAL_T`
`static int` | `LITERAL_TOP`
`static int` | `LITERAL_UP`
`static int` | `LITERAL_X`
`static int` | `LITERAL_Y`
`static int` | `LITERAL_Z`
`static int` | `LONG_LITERAL`
`static int` | `NULL_TREE_LOOKAHEAD`
`static int` | `STRING_LITERAL`

Field Detail

### BOOLEAN_LITERAL

    static final int BOOLEAN_LITERAL

See Also:
  Constant Field Values

### CHAR_LITERAL

    static final int CHAR_LITERAL

See Also:
  Constant Field Values

### COLON

    static final int COLON

See Also:
  Constant Field Values

### DOUBLE_LITERAL

    static final int DOUBLE_LITERAL

See Also:
  Constant Field Values

### EOF

    static final int EOF

See Also:
  Constant Field Values

### FLOAT_LITERAL

    static final int FLOAT_LITERAL

See Also:
  Constant Field Values

### IDENT

    static final int IDENT

See Also:
  Constant Field Values

### INT_LITERAL

    static final int INT_LITERAL

See Also:
  Constant Field Values

### LITERAL_A

    static final int LITERAL_A

See Also:
  Constant Field Values

### LITERAL_AL

    static final int LITERAL_AL

See Also:
  Constant Field Values

### LITERAL_AR

    static final int LITERAL_AR

See Also:
  Constant Field Values

### LITERAL_B

    static final int LITERAL_B

See Also:
  Constant Field Values

### LITERAL_BL

    static final int LITERAL_BL

See Also:
  Constant Field Values

### LITERAL_BOTTOM

    static final int LITERAL_BOTTOM

See Also:
  Constant Field Values

### LITERAL_BR

    static final int LITERAL_BR

See Also:
  Constant Field Values

### LITERAL_COLOR

    static final int LITERAL_COLOR

See Also:
  Constant Field Values

### LITERAL_CONTACT

    static final int LITERAL_CONTACT

See Also:
  Constant Field Values

### LITERAL_DIFFUSE

    static final int LITERAL_DIFFUSE

See Also:
  Constant Field Values

### LITERAL_END

    static final int LITERAL_END

See Also:
  Constant Field Values

### LITERAL_HEADING

    static final int LITERAL_HEADING

See Also:
  Constant Field Values

### LITERAL_L

    static final int LITERAL_L

See Also:
  Constant Field Values

### LITERAL_POINT

    static final int LITERAL_POINT

See Also:
  Constant Field Values

### LITERAL_PRECISION

    static final int LITERAL_PRECISION

See Also:
  Constant Field Values

### LITERAL_R

    static final int LITERAL_R

See Also:
  Constant Field Values

### LITERAL_S

    static final int LITERAL_S

See Also:
  Constant Field Values

### LITERAL_SIZE

    static final int LITERAL_SIZE

See Also:
  Constant Field Values

### LITERAL_T

    static final int LITERAL_T

See Also:
  Constant Field Values

### LITERAL_TOP

    static final int LITERAL_TOP

See Also:
  Constant Field Values

### LITERAL_UP

    static final int LITERAL_UP

See Also:
  Constant Field Values

### LITERAL_X

    static final int LITERAL_X

See Also:
  Constant Field Values

### LITERAL_Y

    static final int LITERAL_Y

See Also:
  Constant Field Values

### LITERAL_Z

    static final int LITERAL_Z

See Also:
  Constant Field Values

### LONG_LITERAL

    static final int LONG_LITERAL

See Also:
  Constant Field Values

### NULL_TREE_LOOKAHEAD

    static final int NULL_TREE_LOOKAHEAD

See Also:
  Constant Field Values

### STRING_LITERAL

    static final int STRING_LITERAL

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD